%define major           1
%define libname         %mklibname xeus-sqlite %{major}
%define develname       %mklibname xeus-sqlite -d
%global debug_package %{nil}

Name:           xeus-sqlite
Version:        0.1.1
Release:        %mkrel 1  
Summary:        Xeus backend for sqlite

License:        BSD
URL:            https://github.com/jupyter-xeus/xeus-sqlite
Source0:        https://github.com/jupyter-xeus/xeus-sqlite/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         xeus-sqlite-soversion.patch
Group:          System/Libraries

BuildRequires:  cmake >= 3.8
BuildRequires:  cmake(xeus) >= 0.24.1
BuildRequires:  cmake(nlohmann_json) >= 3.2.0
BuildRequires:  cmake(xtl) >= 0.5
BuildRequires:  cmake(cppzmq)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  cmake(SQLiteCpp)
BuildRequires:  cmake(tabulate)
BuildRequires:  doxygen
BuildRequires:  gcc-c++

%description
xeus-sqlite is a Jupyter kernel for SQL based on the native implementation of the Jupyter protocol xeus.

%package -n %{develname}
Summary: %{summary}

%description -n %{develname}
xeus-sqlite is a Jupyter kernel for SQL based on the native implementation of the Jupyter protocol xeus.
Requires: xeus-sqlite = %{version}-%{release}

%prep
%autosetup -p1

%build
%cmake
%make_build -C build

%install
%make_install -C build

%check
cd build
ctest -V

%files
%doc README.md
%license LICENSE
%{_bindir}/xsqlite
%{_libdir}/libxeus-sqlite.so.*
%{_datadir}/jupyter/kernels/xsqlite/*

%files -n %{develname}
%{_includedir}/xeus-sqlite/*.hpp
%{_libdir}/libxeus-sqlite.so


%changelog
* Sun Aug 02 2020 joequant <joequant> 0.1.1-1.mga8
+ Revision: 1610470
- add tabulate
- split out devel
- imported package xeus-sqlite

